VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.1#0"; "COMDLG32.OCX"
Begin VB.Form Form1 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Form1"
   ClientHeight    =   5400
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7170
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5400
   ScaleWidth      =   7170
   StartUpPosition =   3  'Windows Default
   Begin VB.CheckBox chk_MaiuMinuOff 
      Caption         =   "senza sensibilit alle maiuscole / minuscole"
      Height          =   495
      Left            =   5040
      TabIndex        =   7
      Top             =   4200
      Width           =   1935
   End
   Begin VB.CommandButton cmd_Cerca 
      Caption         =   "Cerca"
      Height          =   375
      Left            =   3480
      TabIndex        =   4
      Top             =   4200
      Width           =   1215
   End
   Begin VB.TextBox txt_Cerca 
      Height          =   285
      Left            =   480
      TabIndex        =   2
      Top             =   4200
      Width           =   2775
   End
   Begin VB.CommandButton cmd_Apri 
      Caption         =   "Apri file"
      Height          =   375
      Left            =   6000
      TabIndex        =   1
      Top             =   360
      Width           =   1095
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   6240
      Top             =   840
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   327680
   End
   Begin VB.TextBox txt_Testo 
      Height          =   3375
      Left            =   360
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   0
      Top             =   360
      Width           =   5415
   End
   Begin VB.Label lbl_Risultati 
      BackColor       =   &H00FFFFFF&
      Height          =   255
      Left            =   1800
      TabIndex        =   6
      Top             =   4920
      Width           =   4815
   End
   Begin VB.Label Label2 
      Caption         =   "Risultati ricerca:"
      Height          =   255
      Left            =   480
      TabIndex        =   5
      Top             =   4920
      Width           =   1335
   End
   Begin VB.Label Label1 
      Caption         =   "Parola cercata:"
      Height          =   255
      Left            =   480
      TabIndex        =   3
      Top             =   3960
      Width           =   2175
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

' -------------------------------------------------------------------------
' A. Veneziani - Programma che carica un testo da un file e poi  in grado
'                di ricercare parole in esso
'
' Scritto in VB 5.0  -  x classe V liceo scientifico tecnologico
' -------------------------------------------------------------------------

Option Explicit

' selezione e caricamento del file di testo....
Private Sub cmd_Apri_Click()
Dim Linea As String
Dim PathFile As String

    ' apre una box di dialogo (standard) per selezionare il file di testo desiderato
    ' nel quale effettuare ricerche
    ' il componente corrispondente v incluso nel progetto esplicitamente
    ' (Men Progetto / Componenti)
    CommonDialog1.Filter = "File di testo (*.txt)|*.txt"
    CommonDialog1.InitDir = App.Path
    CommonDialog1.ShowOpen
    ' rende il nome del file...
    PathFile = CommonDialog1.filename
    
    If PathFile <> "" Then
        ' apre il file indicato...
        Open PathFile For Input As #1
            ' ciclo di lettura linea per linea
            Do While Not EOF(1)
                ' l'istruzione Line Input permette di leggere testi contenenti
                ' virgole e altri caratteri senza problemi....
                Line Input #1, Linea
                ' cumula il testo letto nella box di testo txt_Testo
                txt_Testo.Text = txt_Testo.Text & Linea & vbCrLf
            Loop
        ' chiusura del file...
        Close #1
    End If
End Sub

' avvia routine con operazioni di ricerca...
Private Sub cmd_Cerca_Click()
Dim Pos As Integer
Dim ContaTrovato As Integer
Dim Entra As Boolean

    ' Variabile di "primo ingresso"; permette di entrare nel ciclo
    Entra = True
    ' ciclo di scansione di tutte le ricorrenze della parola...
    Do While (Pos <> 0) Or Entra
       Entra = False
       ' determina una ricerca con o senza sensibilit a maiuscole e minuscole
       ' la ricerca sfrutta la funzione InStr (vd. documentazione VB)
       If (chk_MaiuMinuOff.Value = vbChecked) Then
           Pos = InStr(Pos + 1, UCase(txt_Testo.Text), UCase(txt_Cerca.Text))
       Else
           Pos = InStr(Pos + 1, txt_Testo.Text, txt_Cerca.Text)
       End If
       ' contatore delle ricorrenze...
       If Pos <> 0 Then ContaTrovato = ContaTrovato + 1
    Loop
    
    ' indicazione delle ricorrenze...
    lbl_Risultati.Caption = "Della parola " & txt_Cerca.Text & " sono stati trovati " & ContaTrovato & " riferimenti."
    
End Sub
